import { AxiosInstance } from 'axios';
import { Signature } from 'ethers';
import { TypedDataDomain, TypedDataField } from "../web3/provider";
export declare class BackendApi {
    _axiosInstance: AxiosInstance;
    /**
     * Construct the Api instance. Pass
     * the axios instance as a dependency.
     * @param axiosInstance
     */
    constructor(axiosInstance: AxiosInstance);
    /**
     * This returns a nonce for a given user.
     * @param address
     * @return nonce
     */
    generateNonce(address: string): Promise<any>;
    /**
     * This verifies that a signature is valid.
     * @param address
     * @param isSmartWallet
     * @param domain
     * @param types
     * @param signature
     */
    verifySignature(address: string, isSmartWallet: boolean, domain: TypedDataDomain, types: {
        AuthSignature: Array<TypedDataField>;
    }, signature: Signature): Promise<any>;
}
//# sourceMappingURL=api.d.ts.map