import { ethers } from "ethers";
import { IProvider } from "./provider";

export class Web3Provider {
    readonly _provider: IProvider;
    readonly _wallet: ethers.Wallet;

    public constructor(provider: IProvider, wallet?: ethers.Wallet) {
        this._provider = provider;
        if (wallet) {
            this._wallet = wallet;
        }
    }

    get provider(): IProvider {
        return this._provider;
    }

    get wallet(): ethers.Wallet {
        return this._wallet;
    }
}