import { config as dotenvConfig } from 'dotenv';
import { resolve } from 'path';

const res = dotenvConfig({
    debug: false,
    path: resolve(__dirname, './../.env'),
});
if (res.error) {
    throw res.error;
}

if (!process.env.INFURA_API_KEY) {
    throw new Error('Please set your INFURA_API_KEY in a .env file');
}
if (!process.env.INFURA_PROJECT_SECRET) {
    throw new Error('Please set your INFURA_PROJECT_SECRET in a .env file');
}

export const config = (): any => {
    return {
        INFURA_API_KEY: process.env.INFURA_API_KEY,
        INFURA_PROJECT_SECRET: process.env.INFURA_PROJECT_SECRET
    }
}