import { expect } from "chai";
import axios from "axios";
import { ethers } from "ethers";
import { BackendApi } from "../../src/backend/api";
import { TestHelperTypes } from "../helpers/types";

let backendApi: BackendApi;

before(() => {
   backendApi = new BackendApi(axios.create({
       baseURL: "https://psyched-hook-280010.oa.r.appspot.com"
   }));
});

describe("Backend API tests - Integration", function() {
    it("Request nonce generation - expect pass", async () => {
        const wallet: ethers.Wallet = TestHelperTypes.wallet();

        const nonce = await backendApi.generateNonce(wallet.address);

        expect(nonce).to.be.a("number");
    });
});